Bug 1792306

Summary: Review Request: php-laminas-eventmanager - Trigger and listen to events within a PHP application
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-23 15:42:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1792281, 1792305    
Bug Blocks: 1792308    

Description Remi Collet 2020-01-17 13:49:47 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-i18n-resources.git/plain/php-laminas-i18n-resources.spec?id=4cefb3412987543231953f9d8e5121401545d8e4
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-eventmanager-3.2.1-2.remi.src.rpm
Description: 
The laminas-eventmanager is a component designed for the following use cases:

* Implementing simple subject/observer patterns.
* Implementing Aspect-Oriented designs.
* Implementing event-driven architectures.

The basic architecture allows you to attach and detach listeners to named
events, both on a per-instance basis as well as via shared collections;
trigger events; and interrupt execution of listeners.

Documentation: https://docs.laminas.dev/laminas-eventmanager/



Fedora Account System Username: remi

Comment 2 Robert-André Mauchin 🐧 2020-01-22 18:46:29 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Gwyn Ciesla 2020-01-23 14:11:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-eventmanager

Comment 4 Remi Collet 2020-01-23 15:42:25 UTC
Thanks!


Built.